Subject: Re: My nose

From: Ronnie Falcao <[email-masked]>
Date: Fri, 28 Jan 2005 16:25:44 -0800

Hi, Sweetie,

Was the "blast from the past" about the nose or from
inside the nose?  :-)

Looking forward to kissing your nose this evening.

Love,
Ronnie

At 03:44 PM 1/28/2005, you wrote:
>This was originally saved in my Drafts folder on the 20th. Maybe I sent it, or maybe it was blocked or forgotten.  Anyway, here's a "blast from the past" about how my nose  was back then.
>
>I can imagine you reading it and saying "Well thank you David, for sharing that with the group".  ;-)
>
>Until 7 tonight, hoping you're getting good sleep,
>
> - David
>
>Hi love!
>
>My nose is real itchy, and runny when I'm out in the cold, and congested
>in the mornings.  It seems to be developing thick yellow mucus, as
>normally occurs near the end of my colds.  So I'm guessing this has been
>a relatively mild cold that lasted most of this week.\
>
>I don't know how I'll feel tomorrow, yet.  I'm still at work and
>planning to do some more yet tonight.
>
>But I miss having good times with you. I hope you caught up on your
>sleep by now.
>
>Love,
>
>  - David
>